<?php
/*
Plugin Name: GetRSS
Plugin URI: http://mahangu.org/code/fetchrss/
Description: A quick RSS puller for Wordpress. Use <code>&lt;?php getRSS('http://example.com/feed/', '5', '&lt;li&gt;', '&lt;/li&gt;');?&gt;</code> to fetch a feed.
Version:0.0.6
Author: Mahangu Weerasinghe
Author URI: http://mahangu.org

    Copyright 2005  Mahangu Weerasinghe  (email : mahangu@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
function getRSS($url, $numitems = '5', $before='<li>', $after='<li>')
{
	if(!is_null($url))
	{
		require_once(ABSPATH. "wp-includes/rss-functions.php");
		$rss = fetch_rss($url);
		if($rss)
			foreach(array_slice($rss->items,0,$numitems) as $item)
				echo "$before<a title=\"".$item['description']."\" href=\"".$item['link']."\">".$item['title']."</a>$after";
		else
			echo "An error occured! There is a possibility that your feed may be badly formatted.<br />Error Message: " . magpie_error();
	}
	else
		echo "An error occured! No url was specified.";
}
?>